Bug 518455 - [abrt] crash detected in system-config-services
Summary: [abrt] crash detected in system-config-services
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-services
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:08997608
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 13:35 UTC by Frank Murphy
Modified: 2012-01-20 09:09 UTC (History)
47 users (show)

Fixed In Version: system-config-services-0.99.43
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 526721 (view as bug list)
Environment:
Last Closed: 2010-03-31 12:01:27 UTC


Attachments (Terms of Use)
system-config-services backtrace as generated by abrt (1.71 KB, text/plain)
2009-10-03 09:53 UTC, Martin Sourada
no flags Details

Description Frank Murphy 2009-08-20 13:35:20 UTC
abrt detected crash.


How to reproduce
-----
1.
2.
3.


Commnet
-----
Clicked on Services (Gnome)

Additional information
======

cmdline
-----
/usr/bin/python /usr/bin/system-config-services 


executable
-----
/usr/bin/system-config-services


kernel
-----
2.6.31-0.162.rc6.git2.fc12.x86_64


package
-----
system-config-services-0.99.35-1.fc12


uuid
-----
08997608

Comment 1 Nils Philippsen 2009-08-20 15:23:37 UTC
This bug report lacks essential information. Are there any error messages printed? Could this be related to bug #518239?

Comment 3 Tom London 2009-09-02 17:49:04 UTC
+1

Comment 4 Georg Wild 2009-09-25 11:33:37 UTC
+1

Comment 5 Andy Lawrence 2009-09-30 21:22:52 UTC
+1

Comment 6 Nils Philippsen 2009-10-01 11:45:28 UTC
People: Seriously, if you want to vote for bugs, use the "vote" link near the top of the page instead of cluttering up the comments with plus-ones. Besides, the bug is already closed ;-). Thanks.

Comment 7 Andy Lawrence 2009-10-01 13:21:29 UTC
The +1 is done automatically by abrt.

Comment 8 Nils Philippsen 2009-10-01 14:27:04 UTC
Then that's a bug in abrt. Plus-ones in comments don't help fixing the bug, they only break the flow if people want to read the ticket.

Comment 9 Nils Philippsen 2009-10-01 14:32:52 UTC
Opened bug #526721 against abrt.

Comment 10 Martin Sourada 2009-10-03 09:46:41 UTC
+1

Comment 11 Martin Sourada 2009-10-03 09:53:49 UTC
Created attachment 363547 [details]
system-config-services backtrace as generated by abrt

Heck, I wonder why abrt didn't send the crash report :-( And sorry about the +1, noticed it only after sending the bug report... Attaching backtrace generated by abrt, although it does not seem much usable at initial inspection to me...

system-config-services-0.99.41-1.fc12.noarch

Comment 12 Martin Sourada 2009-10-03 09:58:55 UTC
Reopening as s-c-s-0.99.41-1 seems to be the latest version but is not working.

Comment 13 Bug Zapper 2009-11-16 11:34:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Alican Erdogan 2009-11-21 18:50:03 UTC
Abrt warns me after logging on my computer from hibernation that system-config-services package has crashed.

Comment 15 Nils Philippsen 2009-11-26 11:38:17 UTC
(In reply to comment #11)
> Created an attachment (id=363547) [details]
> system-config-services backtrace as generated by abrt
> 
> Heck, I wonder why abrt didn't send the crash report :-( And sorry about the
> +1, noticed it only after sending the bug report... Attaching backtrace
> generated by abrt, although it does not seem much usable at initial inspection
> to me...

Can you start /usr/share/system-config-services/system-config-services-mechanism.py as root and then run system-config-services? Does it matter if SELinux is enforcing or not? Please post error messages if there are any.

Comment 16 Martin Sourada 2009-11-26 14:08:17 UTC
(In reply to comment #15)
> (In reply to comment #11)
> 
> Can you start
> /usr/share/system-config-services/system-config-services-mechanism.py as root
> and then run system-config-services? Does it matter if SELinux is enforcing or
> not? Please post error messages if there are any.  
Hrm, for some reason or another, I cannot reproduce the crash anymore. SELinux is enforcing. system-config-services-0.99.41-1.fc12.noarch. No error messages on terminal. But judging from from the amount of newly CC'ed people, the problem is apparently still here...

Comment 17 Robert Laverick 2009-11-26 14:13:27 UTC
It seemed to me that after I rebooted I didn't get the error any more.

I'll try removing and re-installing the package to see if I can re-produce the error later tonight.

Comment 18 Tore Husbyaune 2009-11-26 15:30:37 UTC
Hi,

Her is the output from my first installation of system-config-services.

I uninstalled system-config-services and installed again from GUI.

When I started system-config-services from terminal as root everything function as it should.

It seems that is had to be started with root privileged first time.

Now I can start system-config-services as a normal user.



Here is the error message:


[tore@TH ~]$ system-config-services
Command not found. Install package 'system-config-services' to provide command 'system-config-services'? [N/y] 
 * Installing packages.. 
 * Getting information.. 
 * Resolving dependencies.. 
The following packages have to be installed:
 gamin-python-0.1.10-5.fc12.i686	Python bindings for the gamin library
 python-slip-gtk-0.2.7-1.fc12.noarch	Code to make auto-wrapping gtk labels
Proceed with changes? [N/y] 
 * Waiting for authentication.. 
 * Running.. 
 * Resolving dependencies.. 
 * Downloading packages.. 
 * Checking signatures.. 
 * Testing changes.. 
 * Installing packages.. 
 * Scanning applications.. 
 * Getting information.. [tore@TH ~]$ Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 1038, in <module>
    GUI(use_dbus=use_dbus).run()
  File "/usr/bin/system-config-services", line 986, in __init__
    self.serviceherders.append(cls(bus=self._bus))
  File "/usr/lib/python2.6/site-packages/scservices/dbus/proxy/serviceherders.py", line 47, in __init__
    self.dbus_service_path)
  File "/usr/lib/python2.6/site-packages/dbus/bus.py", line 244, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 241, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.6/site-packages/dbus/bus.py", line 183, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.6/site-packages/dbus/bus.py", line 281, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.6/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1

Comment 19 Nils Philippsen 2009-12-01 16:08:08 UTC
(In reply to comment #18)

> Here is the error message:
> 
> 
> [tore@TH ~]$ system-config-services
> Command not found. Install package 'system-config-services' to provide command
> 'system-config-services'? [N/y] 
>  * Installing packages.. 
>  * Getting information.. 
>  * Resolving dependencies.. 
[...]
>   File "/usr/lib/python2.6/site-packages/dbus/connection.py", line 630, in
> call_blocking
>     message, timeout)
> dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited:
> Launch helper exited with unknown return code 1  

Ahh, it seems you use PackageKit-command-not-found, which gives me an idea why you run into SELinux problems for the first time only: If you type in "system-config-services" as a command and it is not found, the shell runs "/usr/libexec/pk-command-not-found system-config-services" which eventually installs the missing package and runs the program you asked for. I guess the helper runs it under a slightly different context than if you really were executing it by yourself. 

I'll change the component to PackageKit for further investigation -- please chime up if you can reproduce this without involving PackageKit-command-not-found, i.e. by running it from the command line only when it is installed, or from the menu.

Comment 20 Andrew McNabb 2009-12-01 19:01:54 UTC
I don't have SELinux enabled, so maybe there are two different problems.

Comment 21 Robert Laverick 2009-12-04 08:57:52 UTC
I am running this from the menu, right after installing it.  I've noticed that this is fixed by a few things, rebooting, updating other packages, or just trying to open it a number of times, all seem to have "fixed" this, seems to be that something just isn't configured right away, and takes some other event to happen before it gets into a "working" state?

Comment 22 Richard Hughes 2010-03-22 16:11:14 UTC
I don't think this is a PackageKit bug, sorry.

Comment 23 Nils Philippsen 2010-03-22 16:45:25 UTC
All who have seen this bug: please check if you see this error with system-config-services-0.99.43 (or later) and current SELinux policy.

Richard: I really think that at that time PackageKit-command-not-found didn't run programs installed by it in correct SELinux contexts (if SELinux was enabled). At the time I changed the component to PackageKit, I could reliable make this fail SELinux wise if, with PackageKit-command-not-found installed and s-c-services not installed, I ran "system-config-services" from the command line and let command-not-found run it after installation. If s-c-services was installed (i.e. I directly started the program, not by way of command-not-found), I didn't have this problem.

Comment 24 Tom London 2010-03-22 17:42:03 UTC
Seems to be "working for me":

selinux-policy-3.7.15-1.fc13.noarch
system-config-services-0.99.43-1.fc14.noarch

Comment 25 zac 2010-03-25 19:14:29 UTC

How to reproduce
-----
1. I did not notice how this bug occurred.
2.
3.

Comment 26 Nils Philippsen 2010-03-30 16:03:16 UTC
Anybody still seeing this with current selinux-policy and system-config-users (cf. comment #24)? If yes, I need to know the circumstances under which you see the problem, otherwise I'll have to close this.

Comment 27 Frank Murphy 2010-03-30 16:37:17 UTC
Works fine on f13.

Comment 28 Martin Sourada 2010-03-30 17:02:11 UTC
Seems ok here as well (I even tried uninstalling and running through pk command not found):
selinux-policy-3.6.32-106.fc12.noarch
system-config-services-0.99.43-1.fc12.noarch

Comment 29 Nils Philippsen 2010-03-31 12:01:27 UTC
F-12 through Rawhide covered -- closing.

Comment 30 Ted Mack 2012-01-19 01:04:03 UTC
I am using Fedora 14 and ran into the same problem. the smb.conf file is the generic one that comes with the download, no changes made, yet.

I ran "/usr/libexec/pk-command-not-found system-config-services" in an xterm and still get the same error message.

Comment 31 Nils Philippsen 2012-01-19 16:20:48 UTC
(In reply to comment #30)
> I am using Fedora 14 and ran into the same problem. the smb.conf file is the
> generic one that comes with the download, no changes made, yet.

Not sure what smb.conf has got to do with it...

> I ran "/usr/libexec/pk-command-not-found system-config-services" in an xterm
> and still get the same error message.

I can't reproduce this right now, "/usr/libexec/pk-command-not-found system-config-services" just returns without attempting to install s-c-services, or executing it (Richard?). Besides that I guess you should open a new bug for your Fedora release, perhaps mention this bug in there.

Comment 32 Frank Murphy 2012-01-19 16:31:52 UTC
F14 is eol. I don't think you will get a fix.

Comment 33 Nils Philippsen 2012-01-20 09:09:25 UTC
(In reply to comment #32)
> F14 is eol. I don't think you will get a fix.

Whoops. Don't know why I missed that.


Note You need to log in before you can comment on or make changes to this bug.